Subject: Re: bug#12993: Wrong icon for Cygw32-Emacs

From: Ken Brown <[email-masked]>
Date: Mon, 08 Apr 2013 09:02:55 -0400

On 4/7/2013 10:39 PM, Eli Zaretskii wrote:
>> Date: Sun, 07 Apr 2013 18:44:36 -0400
>> From: Ken Brown <[email-masked]>
>> CC: [email-masked], [email-masked]
>>
>> On 4/7/2013 2:48 PM, Eli Zaretskii wrote:
>>>> Date: Sun, 07 Apr 2013 14:11:48 -0400
>>>> From: Ken Brown <[email-masked]>
>>>> Cc: [email-masked], Angelo Graziosi <[email-masked]>
>>>>
>>>> At some point could you update this fix so that it works on 64-bit
>>>> Cygwin also?
>>>
>>> What are the problems that prevent this from working with 64-bit
>>> Cygwin?  I presume there's a 64-bit windres.exe, and nt/emacs.rc is
>>> already set up to cater to 64-bit builds.  What am I missing?
>>
>> The problem is that the build fails.  There's no error message
>> explaining the failure, just "Makefile:785: recipe for target
>> `bootstrap-emacs.exe' failed".  But the build succeeds if I remove the
>> attempt to compile Windows resources:
>
> What is on line 785 of Makefile?
>
>> I know nothing about Windows resources
>
> They are just a fancy kind of object file produced from a fancy kind
> of source (emacs.rc in this case).

I tried again on a different computer, after updating to the current 
emacs trunk, and this time I got a meaningful error message:

/usr/lib/gcc/x86_64-pc-cygwin/4.8.0/../../../../x86_64-pc-cygwin/bin/ld: 
i386 architecture of input file `emacs.res' is incompatible with 
i386:x86-64 output

This made me think that the problem was the "pe-i386" in the following 
line of configure.ac:

   W32_RES_LINK="-Wl,-bpe-i386 -Wl,emacs.res"

I made several guesses as to what should be there (including 
"pe-x86-64", which seemed the most likely), but I kept getting the same 
error message.  Is it possible that the problem is in nt/emacs.rc after all?

Ken